SSO (single sign-on) is being reconfigured. Maintenance started Jul 16 2:20PM UTC and will last 1 hour. Password-enabled login should still work.
Bug 639351 - Review Request: gtk-sharp-beans - C# bindings for GTK+ API not included in GTK#
Summary: Review Request: gtk-sharp-beans - C# bindings for GTK+ API not included in GTK#
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Peter Lemenkov
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 639350
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-10-01 14:12 UTC by Nathaniel McCallum
Modified: 2010-10-18 05:35 UTC (History)
3 users (show)

Fixed In Version: clutter-sharp-0-0.8.20090828.fc14
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-10-18 05:35:49 UTC
Type: ---
lemenkov: fedora-review+
tibbs: fedora-cvs+


Attachments (Terms of Use)

Description Nathaniel McCallum 2010-10-01 14:12:58 UTC
Spec URL: http://npmccallum.fedorapeople.org/banshee/gtk-sharp-beans.spec
SRPM URL: http://repos.fedorapeople.org/repos/npmccallum/banshee/fedora-14/SRPMS/gtk-sharp-beans-2.14.0-1.fc14.src.rpm
Description: C# bindings for GTK+ API not included in GTK#

Comment 1 Nathaniel McCallum 2010-10-01 14:13:51 UTC
Building this package also requires gio-sharp (#639350).

Comment 2 Nathaniel McCallum 2010-10-03 21:37:26 UTC
Spec URL: http://npmccallum.fedorapeople.org/banshee/gtk-sharp-beans.spec
SRPM URL:
http://repos.fedorapeople.org/repos/npmccallum/banshee/fedora-14/SRPMS/gtk-sharp-beans-2.14.0-2.fc14.src.rpm

* Sun Oct 03 2010 Nathaniel McCallum <nathaniel@natemccallum.com> - 2.14.0-2
- Fix -devel requires (pkgconfig, base package)
- Disable debuginfo

Comment 3 Peter Lemenkov 2010-10-04 08:10:14 UTC
I'll review it

Comment 4 Peter Lemenkov 2010-10-04 10:28:17 UTC
Postponing starting the review until gio-sharp  will hit Rawhide

Comment 5 Nathaniel McCallum 2010-10-04 19:33:18 UTC
gio-sharp is in rawhide now.

http://koji.fedoraproject.org/koji/buildinfo?buildID=198838

Comment 6 Peter Lemenkov 2010-10-05 06:50:08 UTC
Koji scratch build for Rawhide:

http://koji.fedoraproject.org/koji/taskinfo?taskID=2513383

REVIEW:

Legend: + = PASSED, - = FAILED, 0 = Not Applicable

+ rpmlint is almost silent

Sulaco ~/rpmbuild/SPECS: rpmlint  ~/Desktop/gtk-sharp-beans-*
gtk-sharp-beans.i686: E: no-binary
gtk-sharp-beans.i686: W: only-non-binary-in-usr-lib
gtk-sharp-beans-devel.i686: W: no-documentation
2 packages and 0 specfiles checked; 1 errors, 2 warnings.
Sulaco ~/rpmbuild/SPECS:

These messages should be ignored - they are caused by fact that we're installing (almost) arch-independent binary data into arch-dependent directory. In fact C# binary data is arch-dependent but rpmlint doesn't know about it yet.

+ The package is named according to the  Package Naming Guidelines.
+ The spec file name matches the base package %{name}, in the format %{name}.spec.
+ The package meets the Packaging Guidelines.
+ The package is licensed with a Fedora approved license and meets the Licensing Guidelines.
+ The License field in the package spec file matches the actual license (LGPLv2 only)
+ The file, containing the text of the license(s) for the package, is included in %doc.
+ The spec file is written in American English.
+ The spec file for the package is legible.
+ The sources used to build the package, match the upstream source, as provided in the spec URL.

Sulaco ~/rpmbuild/SOURCES: sha256sum mono-gtk-sharp-beans-2.14.0-0-ga2ff3c5.tar.gz*
91fe411ac6889bcf6b70074f3c0dc62de9076a43e804fd7cc2009f8b008dbd6b  mono-gtk-sharp-beans-2.14.0-0-ga2ff3c5.tar.gz
91fe411ac6889bcf6b70074f3c0dc62de9076a43e804fd7cc2009f8b008dbd6b  mono-gtk-sharp-beans-2.14.0-0-ga2ff3c5.tar.gz.1
Sulaco ~/rpmbuild/SOURCES:

+ The package successfully compiles and builds into binary rpms on at least one primary architecture.
+ All build dependencies are listed in BuildRequires.
0 No need to handle locales.
0 No shared library files.
+ The package does NOT bundle copies of system libraries.
+ The package is not designed to be relocatable.
+ The package owns all directories that it creates.
+ The package does not list a file more than once in the spec file's %files listings.
+ Permissions on files are set properly.
+ The package has a %clean section, which contains rm -rf %{buildroot} (or $RPM_BUILD_ROOT).
+ The package consistently uses macros.
+ The package contains code, or permissible content.
0 No extremely large documentation files.
+ Anything, the package includes as %doc, does not affect the runtime of the application.
0 No header files.
0 No static libraries.
+ The "devel" sub-package requires the base package using a fully versioned
dependency: Requires: %{name} = %{version}-%{release}/
+ The pkgconfig(.pc) file is properly placed in *-devel sub-package and
necessary runtime dependency is added.
0 The package doesn't contain library files with a suffix (e.g. libfoo.so.1.1).
+ The package does NOT contain any .la libtool archives.
0 Not a GUI application.
+ The package does not own files or directories already owned by other packages.
+ At the beginning of %install, the package runs rm -rf %{buildroot} (or $RPM_BUILD_ROOT).
+ All filenames in rpm packages are valid UTF-8.

this package is 

APPROVED.

Comment 7 Nathaniel McCallum 2010-10-05 13:04:02 UTC
New Package SCM Request
=======================
Package Name: gtk-sharp-beans
Short Description: C# bindings for GTK+ API not included in GTK#
Owners: npmccallum chkr
Branches: f13 f14
InitialCC:

Comment 8 Jason Tibbitts 2010-10-05 13:25:27 UTC
Git done (by process-git-requests).

Comment 9 Fedora Update System 2010-10-06 02:53:56 UTC
clutter-sharp-0-0.8.20090828.fc14,gkeyfile-sharp-0.1-3.fc14,gudev-sharp-0.1-3.fc14,gio-sharp-0.2-2.fc14,gtk-sharp-beans-2.14.0-2.fc14,banshee-1.8.0-4.fc14,banshee-community-extensions-1.8.0-2.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/clutter-sharp-0-0.8.20090828.fc14,gkeyfile-sharp-0.1-3.fc14,gudev-sharp-0.1-3.fc14,gio-sharp-0.2-2.fc14,gtk-sharp-beans-2.14.0-2.fc14,banshee-1.8.0-4.fc14,banshee-community-extensions-1.8.0-2.fc14

Comment 10 Fedora Update System 2010-10-07 19:50:19 UTC
clutter-sharp-0-0.8.20090828.fc14, gkeyfile-sharp-0.1-3.fc14, gudev-sharp-0.1-3.fc14, gio-sharp-0.2-2.fc14, gtk-sharp-beans-2.14.0-2.fc14, banshee-1.8.0-4.fc14, banshee-community-extensions-1.8.0-2.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update clutter-sharp gkeyfile-sharp gudev-sharp gio-sharp gtk-sharp-beans banshee banshee-community-extensions'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/clutter-sharp-0-0.8.20090828.fc14,gkeyfile-sharp-0.1-3.fc14,gudev-sharp-0.1-3.fc14,gio-sharp-0.2-2.fc14,gtk-sharp-beans-2.14.0-2.fc14,banshee-1.8.0-4.fc14,banshee-community-extensions-1.8.0-2.fc14

Comment 11 Fedora Update System 2010-10-18 05:35:32 UTC
clutter-sharp-0-0.8.20090828.fc14, gkeyfile-sharp-0.1-3.fc14, gudev-sharp-0.1-3.fc14, gio-sharp-0.2-2.fc14, gtk-sharp-beans-2.14.0-2.fc14, banshee-1.8.0-4.fc14, banshee-community-extensions-1.8.0-2.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.